## Farmmaps Documentation Overview
This page provides an index of the available documentation for the FarmMaps platform.

### FarmMaps Main Components
* The datastore
* Endpoints
* Workers
* Queues
* File-chains
* [Viewer (FarmMapsLibs)](/wiki/FarmMapsLibs)

### API Documentation
FarmMaps provides 3 main endpoints to build services upon.

* A file upload/download API (REST) for file uploads in chunks.
* An FTP endpoint to upload files through FTP
* [A message queue endpoint (MQTT)](/FarmMaps/Documentatie/wiki/message_queue_endpoint) to recieve streaming data and send and recieve triggering signals.

### Use-case examples
* [VRAPoten-API](/wiki/VRAPoten-API)